Skip to main content
`Ctrl`+`K`

# PetscViewerReadable

Return a flag whether the viewer can be read from with `PetscViewerRead()`

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerReadable(PetscViewer viewer, PetscBool *flg)

Not Collective

## Input Parameter

- viewer - the `PetscViewer` context

## Output Parameter

- flg - `PETSC_TRUE` if the viewer is readable, `PETSC_FALSE` otherwise

## Note

`PETSC_TRUE` means that viewer’s `PetscViewerType` supports reading, that is `PetscViewerRead()`, (this holds e.g. for `PETSCVIEWERBINARY`) and the viewer is in a mode allowing reading, i.e. `PetscViewerFileGetMode()` returns one of `FILE_MODE_READ`, `FILE_MODE_UPDATE`, `FILE_MODE_APPEND_UPDATE`.

## See Also

Viewers: Looking at PETSc Objects, `PetscViewerRead()`, `PetscViewer`, `PetscViewerWritable()`, `PetscViewerCheckReadable()`, `PetscViewerCreate()`, `PetscViewerFileSetMode()`, `PetscViewerFileSetType()`

## Level

intermediate

## Location

src/sys/classes/viewer/interface/view.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages